## manila-ui 2.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
# Horizon Core Requirements
Babel>=1.3 # BSD
Django<1.9,>=1.8 # BSD
django-compressor>=2.0 # MIT
django-openstack-auth>=2.0.0 # Apache-2.0
iso8601>=0.1.9 # MIT
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-manilaclient>=1.3.0 # Apache-2.0

=== debian/changelog ===
manila-ui (2.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 22:46:25 +0200

manila-ui (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #790425)

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 22:26:27 +0000

=== debian/control ===
Source: manila-ui
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: openstack-dashboard (>= 2:9.0.0~rc1),
                     python-babel,
                     python-coverage,
                     python-ddt (>= 1.0.1),
                     python-django (>= 1.8),
                     python-django-compressor (>= 2.0),
                     python-django-horizon,
                     python-django-nose,
                     python-django-openstack-auth (>= 2.0.0),
                     python-hacking,
                     python-iso8601,
                     python-keystoneclient (>= 1:1.6.0),
                     python-manilaclient (>= 1.3.0),
                     python-mock,
                     python-mox,
                     python-mox3 (>= 0.7.0),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-openstack.nose-plugin,
                     python-oslosphinx (>= 2.2.0.0),
                     python-six (>= 1.7.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/openstack/manila-ui.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/manila-ui.git;a=summary
Homepage: https://github.com/hp-storage/manila-ui

Package: python-manila-ui
Architecture: all
Depends: openstack-dashboard (>= 2:9.0.0~rc1),
         python-babel,
         python-django (>= 1.8),
         python-django-compressor (>= 2.0),
         python-django-openstack-auth (>= 2.0.0),
         python-iso8601,
         python-keystoneclient (>= 1:1.6.0),
         python-manilaclient (>= 1.3.0),
         python-pbr (>= 1.8),
         python-six (>= 1.7.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack shared file system as a service - Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

UPSTREAM_GIT = git://github.com/openstack/manila-ui.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	bash run_tests.sh -N --no-pep8
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=manila_ui.test.settings \
		python-coverage run \
		$(CURDIR)/manage.py test manila_ui --settings=manila_ui.test.settings
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	# Activates in the dashboard
	set -e ; for pyvers in $(PYTHONS); do \
		mkdir -p $(CURDIR)/debian/python-manila-ui/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
		cp $(CURDIR)/manila_ui/enabled/_90* $(CURDIR)/debian/python-manila-ui/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
	done
	mkdir -p $(CURDIR)/debian/python-manila-ui/usr/share/openstack-dashboard/openstack_dashboard/enabled
	cp $(CURDIR)/manila_ui/enabled/_90*.py $(CURDIR)/debian/python-manila-ui/usr/share/openstack-dashboard/openstack_dashboard/enabled

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/manila-ui/tags .*/(\d[\d\.]+)\.tar\.gz

## manila-ui 2.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
# Horizon Core Requirements
Babel>=2.3.4 # BSD
Django<1.9,>=1.8 # BSD
django-compressor>=2.0 # MIT
django-openstack-auth>=2.4.0 # Apache-2.0
iso8601>=0.1.11 # MIT
oslo.utils>=3.16.0 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
python-manilaclient>=1.10.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
manila-ui (2.5.0-2+2~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 14:40:05 +0000

manila-ui (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable (Closes: #837281).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 10:06:45 +0200

manila-ui (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs:
    - Points .gitreview to packaging-deb project.
    - Add .gitreview and egg-info to extend-diff-ignore.
  * Remove Django 1.9 patches new useless.
  * Add PYTHONPATH=. when running tests.
  * Using manila_ui.tests.settings instead of manila_ui.test.settings for
    running tests.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 17:26:41 +0200

manila-ui (2.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * Fixed horizon EPOC to 3 after the fix of version 9.0 to Sid.
  * Add patch: add-MANIFEST.in-to-package-missing-files.patch. This avoids
    crash in Horizon. (Closes: #832057).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jun 2016 08:25:03 +0000

## manila-ui 2.5.1

=== debian/changelog ===
manila-ui (2.5.1-0) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:54:55 +0200

=== debian/control ===
Source: manila-ui
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: openstack-dashboard (>= 3:9.0.0),
                     python-babel (>= 2.3.4),
                     python-coverage,
                     python-ddt (>= 1.0.1),
                     python-django (>= 1.8),
                     python-django-compressor (>= 2.0),
                     python-django-horizon,
                     python-django-nose (>= 1.4.4),
                     python-django-openstack-auth (>= 2.4.1),
                     python-hacking,
                     python-iso8601 (>= 0.1.11),
                     python-keystoneclient (>= 1:3.2.0),
                     python-manilaclient (>= 1.11.0),
                     python-mock (>= 2.0),
                     python-mox,
                     python-mox3 (>= 0.7.0),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-openstack.nose-plugin,
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.2.0.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-manila-ui?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-manila-ui -b debian/newton
Homepage: https://github.com/hp-storage/manila-ui

Package: python-manila-ui
Architecture: all
Depends: openstack-dashboard (>= 3:9.0.0),
         python-babel (>= 2.3.4),
         python-django (>= 1.8),
         python-django-compressor (>= 2.0),
         python-django-openstack-auth (>= 2.4.1),
         python-iso8601 (>= 0.1.11),
         python-keystoneclient (>= 1:3.2.0),
         python-manilaclient (>= 1.11.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack shared file system as a service - Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila OpenStack dashboard plugin.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 PYTHONS:=$(shell pyversions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/manila-ui.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
@@ -12,14 +11,14 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	bash run_tests.sh -N --no-pep8
-	NOSE_WITH_OPENSTACK=1 \
+	PYTHONPATH=. NOSE_WITH_OPENSTACK=1 \
 		NOSE_OPENSTACK_COLOR=1 \
 		NOSE_OPENSTACK_RED=0.05 \
 		NOSE_OPENSTACK_YELLOW=0.025 \
 		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
-		DJANGO_SETTINGS_MODULE=manila_ui.test.settings \
+		DJANGO_SETTINGS_MODULE=manila_ui.tests.settings \
 		python-coverage run \
-		$(CURDIR)/manage.py test manila_ui --settings=manila_ui.test.settings
+		$(CURDIR)/manage.py test manila_ui --settings=manila_ui.tests.settings
 endif
 
 override_dh_clean:

## manila-ui 2.7.0

=== debian/changelog ===
manila-ui (2.7.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Update source path for enabled dashboards.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 Jan 2017 14:30:51 -0500

## manila-ui 2.7.1

=== debian/changelog ===
manila-ui (2.7.1-1) unstable; urgency=medium

  * New upstream ocata version
  * Add add-MANIFEST.in-to-package-missing-files.patch from branch debian/pike
  * Edit enabling dashboard as the old way is deprecated
  * Edit debian/control to match requirements

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 05 Dec 2017 12:22:21 +0100

manila-ui (2.5.1-2) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Wed, 23 Nov 2016 23:59:15 +0100

manila-ui (2.5.1-1) unstable; urgency=medium

  * (build-)depends on openstack-dashboard >= 10.0.0 (Closes: #837281).

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Oct 2016 19:09:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: openstack-dashboard (>= 3:9.0.0),
+Build-Depends-Indep: openstack-dashboard (>= 3:10.0.0),
                      python-babel (>= 2.3.4),
                      python-coverage,
                      python-ddt (>= 1.0.1),
@@ -18,11 +18,11 @@
                      python-django-compressor (>= 2.0),
                      python-django-horizon,
                      python-django-nose (>= 1.4.4),
-                     python-django-openstack-auth (>= 2.4.1),
+                     python-django-openstack-auth (>= 3.1.0),
                      python-hacking,
                      python-iso8601 (>= 0.1.11),
-                     python-keystoneclient (>= 1:3.2.0),
-                     python-manilaclient (>= 1.11.0),
+                     python-keystoneclient (>= 1:3.8.0),
+                     python-manilaclient (>= 1.12.0),
                      python-mock (>= 2.0),
                      python-mox,
                      python-mox3 (>= 0.7.0),
@@ -30,8 +30,8 @@
                      python-nose-exclude,
                      python-nosehtmloutput,
                      python-openstack.nose-plugin,
-                     python-oslo.utils (>= 3.16.0),
-                     python-oslosphinx (>= 2.2.0.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslosphinx (>= 4.7.0),
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
@@ -44,15 +44,15 @@
 
 Package: python-manila-ui
 Architecture: all
-Depends: openstack-dashboard (>= 3:9.0.0),
+Depends: openstack-dashboard (>= 3:10.0.0),
          python-babel (>= 2.3.4),
          python-django (>= 1.8),
          python-django-compressor (>= 2.0),
-         python-django-openstack-auth (>= 2.4.1),
+         python-django-openstack-auth (>= 3.1.0),
          python-iso8601 (>= 0.1.11),
-         python-keystoneclient (>= 1:3.2.0),
-         python-manilaclient (>= 1.11.0),
-         python-oslo.utils (>= 3.16.0),
+         python-keystoneclient (>= 1:3.8.0),
+         python-manilaclient (>= 1.12.0),
+         python-oslo.utils (>= 3.18.0),
          python-pbr (>= 1.8),
          python-six (>= 1.9.0),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -24,13 +24,16 @@
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf .coverage*
+	rm -f AUTHORS
+	rm -f ChangeLog
 
 override_dh_auto_install:
 	dh_auto_install -O--buildsystem=python_distutils
-	# Activates in the dashboard
+
+	# Activates the manila-dashboard plugin in Horizon
 	set -e ; for pyvers in $(PYTHONS); do \
-		mkdir -p $(CURDIR)/debian/python-manila-ui/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
-		cp $(CURDIR)/manila_ui/enabled/_90* $(CURDIR)/debian/python-manila-ui/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
+	mkdir -p $(CURDIR)/debian/python-manila-ui/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
+		cp $(CURDIR)/manila_ui/local/enabled/_90* $(CURDIR)/debian/python-manila-ui/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
 	done
 	mkdir -p $(CURDIR)/debian/python-manila-ui/usr/share/openstack-dashboard/openstack_dashboard/enabled
-	cp $(CURDIR)/manila_ui/enabled/_90*.py $(CURDIR)/debian/python-manila-ui/usr/share/openstack-dashboard/openstack_dashboard/enabled
+	cp $(CURDIR)/manila_ui/local/enabled/_90*.py $(CURDIR)/debian/python-manila-ui/usr/share/openstack-dashboard/openstack_dashboard/enabled

## manila-ui 2.10.0

=== debian/changelog ===
manila-ui (2.10.0-0ubuntu1) artful; urgency=medium

  * New upstream release for Openstack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 09:22:49 -0400

manila-ui (2.7.1-0ubuntu1) zesty; urgency=medium

  * New upstream point release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Mar 2017 09:31:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: manila-ui
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: openstack-dashboard (>= 3:10.0.0),
+Build-Depends-Indep: openstack-dashboard (>= 3:12.0.0~),
                      python-babel (>= 2.3.4),
                      python-coverage,
                      python-ddt (>= 1.0.1),
@@ -28,9 +29,8 @@
                      python-mox3 (>= 0.7.0),
                      python-nose,
                      python-nose-exclude,
-                     python-nosehtmloutput,
                      python-openstack.nose-plugin,
-                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslosphinx (>= 4.7.0),
                      python-six (>= 1.9.0),
                      python-testscenarios,
@@ -38,13 +38,13 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-manila-ui?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-manila-ui -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila-ui
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila-ui
 Homepage: https://github.com/hp-storage/manila-ui
 
 Package: python-manila-ui
 Architecture: all
-Depends: openstack-dashboard (>= 3:10.0.0),
+Depends: openstack-dashboard (>= 3:12.0.0~),
          python-babel (>= 2.3.4),
          python-django (>= 1.8),
          python-django-compressor (>= 2.0),
@@ -52,8 +52,8 @@
          python-iso8601 (>= 0.1.11),
          python-keystoneclient (>= 1:3.8.0),
          python-manilaclient (>= 1.12.0),
-         python-oslo.utils (>= 3.18.0),
-         python-pbr (>= 1.8),
+         python-oslo.utils (>= 3.20.0),
+         python-pbr (>= 2.0.0),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},

## manila-ui 2.10.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
# Horizon Core Requirements
Babel!=2.4.0,>=2.3.4 # BSD
Django<2.0,>=1.8 # BSD
django-compressor>=2.0 # MIT
django-openstack-auth>=3.5.0 # Apache-2.0
iso8601>=0.1.11 # MIT
oslo.utils>=3.20.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-manilaclient>=1.12.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
manila-ui (2.10.1-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 24 Aug 2017 18:08:34 +0000

manila-ui (2.10.1-0ubuntu1) artful; urgency=medium

  * New upstream point release for Openstack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:14:52 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                      python-django-compressor (>= 2.0),
                      python-django-horizon,
                      python-django-nose (>= 1.4.4),
-                     python-django-openstack-auth (>= 3.1.0),
+                     python-django-openstack-auth (>= 3.5.0),
                      python-hacking,
                      python-iso8601 (>= 0.1.11),
                      python-keystoneclient (>= 1:3.8.0),
@@ -48,7 +48,7 @@
          python-babel (>= 2.3.4),
          python-django (>= 1.8),
          python-django-compressor (>= 2.0),
-         python-django-openstack-auth (>= 3.1.0),
+         python-django-openstack-auth (>= 3.5.0),
          python-iso8601 (>= 0.1.11),
          python-keystoneclient (>= 1:3.8.0),
          python-manilaclient (>= 1.12.0),

## manila-ui 2.13.0

=== requirements.txt ===
--- 
+++ 
@@ -7,9 +7,8 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 Django<2.0,>=1.8 # BSD
 django-compressor>=2.0 # MIT
-django-openstack-auth>=3.5.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
-oslo.utils>=3.20.0 # Apache-2.0
+oslo.utils>=3.33.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
-python-manilaclient>=1.12.0 # Apache-2.0
-six>=1.9.0 # MIT
+python-manilaclient>=1.16.0 # Apache-2.0
+six>=1.10.0 # MIT

=== debian/changelog ===
manila-ui (2.13.0-1~bpo9+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@stretch-queens.infomaniak.ch>  Wed, 09 May 2018 09:54:48 +0200

manila-ui (2.13.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Switch to Python 3.
  * Add patch from upstream: Make_manila-ui_python3_compatible.patch.
    (Closes: #881977)
  * Updated debian/copyright years and holders list.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 11:37:34 +0100

manila-ui (2.10.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Ran wrap-and-sort -bast.
  * Standards-Version is now 4.1.1.
  * Updating copyright format url.
  * Updating maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Nov 2017 07:56:30 +0100

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:13.0.0~rc1),
 python3-babel,
 python3-coverage,
 python3-ddt,
 python3-django,
 python3-django-compressor,
 python3-django-horizon,
 python3-django-nose,
 python3-hacking,
 python3-iso8601,
 python3-keystoneclient (>= 1:3.8.0),
 python3-manilaclient (>= 1.16.0),
 python3-mock,
 python3-mox3 (>= 0.20.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.utils (>= 3.33.0),
 python3-six,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/manila-ui
Vcs-Git: https://salsa.debian.org/openstack-team/services/manila-ui.git
Homepage: https://github.com/hp-storage/manila-ui

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:13.0.0~rc1),
 python3-babel,
 python3-django,
 python3-django-compressor,
 python3-iso8601,
 python3-keystoneclient (>= 1:3.8.0),
 python3-manilaclient (>= 1.16.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-manila-ui,
Description: OpenStack shared file system as a service - Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	set -e ; for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	#bash run_tests.sh -N --no-pep8
	set -e ; for i in $(PYTHON3S) ; do \
		PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=manila_ui.tests.settings \
			python$$i -m coverage run \
			$(CURDIR)/manage.py test manila_ui -v 2 --settings=manila_ui.tests.settings ; \
	done
endif

	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/manila_ui/local/enabled/_9* $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/manila_ui/local/enabled/_8* $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/enabled

	mkdir -p $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/enabled
	cp $(CURDIR)/manila_ui/local/enabled/_9*.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/enabled
	cp $(CURDIR)/manila_ui/local/enabled/_8*.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/enabled

	dh_install
	dh_missing --fail-missing

## manila-ui 2.16.0

=== requirements.txt ===
--- 
+++ 
@@ -5,10 +5,11 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 # Horizon Core Requirements
 Babel!=2.4.0,>=2.3.4 # BSD
-Django<2.0,>=1.8 # BSD
 django-compressor>=2.0 # MIT
 iso8601>=0.1.11 # MIT
 oslo.utils>=3.33.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
 python-manilaclient>=1.16.0 # Apache-2.0
 six>=1.10.0 # MIT
+
+horizon>=14.0.0.0b2 # Apache-2.0

=== debian/changelog ===
manila-ui (2.16.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-manila-ui package.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
    - d/python3-manila-ui.install: Dropped. Not needed.
    - d/watch: Get tarball from pypi.debian.net.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/make_manila-ui_python3_compatible.patch: Dropped. Fixed in new
    upstream release.
  * d/rules: Drop dup cp of dashboards. python-django-horizon uses update-
    alternatives to point /usr/share/openstack-dashboard/openstack_dashboard
    at /usr/lib/python*/dist-packages/openstack_dashboard.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 13:25:33 -0400

manila-ui (2.13.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for Openstack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 12:27:17 -0500

manila-ui (2.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream point release for Openstack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Ensure min version of openstack-dashboard includes in-tree
    python-django-openstack-auth.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Dec 2017 09:24:41 -0500

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~b2~),
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-django (>= 1.11),
 python-django-compressor (>= 2.0),
 python-django-horizon (>= 3:14.0.0~b2~),
 python-django-nose (>= 1.4.4),
 python-hacking (>= 0.12.0),
 python-iso8601 (>= 0.1.11),
 python-keystoneclient (>= 1:3.8.0),
 python-manilaclient (>= 1.16.0),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.20.0),
 python-nose,
 python-nose-exclude,
 python-nosehtmloutput,
 python-openstack.nose-plugin,
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.utils (>= 3.33.0),
 python-six (>= 1.10.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-django (>= 1.11),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:14.0.0~b2~),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-manilaclient (>= 1.16.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.utils (>= 3.33.0),
 python3-six (>= 1.10.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila-ui
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila-ui
Homepage: https://github.com/hp-storage/manila-ui
Testsuite: autopkgtest-pkg-python

Package: python-manila-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~b2~),
 python-babel (>= 2.3.4),
 python-django (>= 1.11),
 python-django-compressor (>= 2.0),
 python-django-horizon (>= 3:14.0.0~b2~),
 python-iso8601 (>= 0.1.11),
 python-keystoneclient (>= 1:3.8.0),
 python-manilaclient (>= 1.16.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Conflicts:
 python3-manila-ui,
Description: OpenStack shared file system as a service - Python 2.7 Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 2.7 Manila OpenStack dashboard plugin.

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~b2~),
 python3-babel (>= 2.3.4),
 python3-django (>= 1.11),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:14.0.0~b2~),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-manilaclient (>= 1.16.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-manila-ui,
Description: OpenStack shared file system as a service - Python 3.x Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 3.x Manila OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_clean:
	python2 setup.py clean
	python3 setup.py clean

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	#bash run_tests.sh -N --no-pep8
	set -e ; for i in $(PYTHONS) ; do \
		PYTHON=python PYTHONPATH=$(CURDIR)/debian/python-manila-ui NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=manila_ui.tests.settings \
			python$$i -m coverage run \
			$(CURDIR)/manage.py test manila_ui -v 2 --settings=manila_ui.tests.settings ; \
	done
	set -e ; for i in $(PYTHON3S) ; do \
		PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/python3-manila-ui NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=manila_ui.tests.settings \
			python$$i -m coverage run \
			$(CURDIR)/manage.py test manila_ui -v 2 --settings=manila_ui.tests.settings ; \
	done
endif

	mkdir -p $(CURDIR)/debian/python-manila-ui/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/manila_ui/local/enabled/_9* $(CURDIR)/debian/python-manila-ui/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/manila_ui/local/enabled/_8* $(CURDIR)/debian/python-manila-ui/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled

	mkdir -p $(CURDIR)/debian/python3-manila-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/manila_ui/local/enabled/_9* $(CURDIR)/debian/python3-manila-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/manila_ui/local/enabled/_8* $(CURDIR)/debian/python3-manila-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled

	dh_install
	dh_missing --fail-missing

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/manila-ui/manila-ui-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## manila-ui 2.17.0

=== debian/changelog ===
manila-ui (2.17.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 20:53:18 -0500

manila-ui (2.16.0-0ubuntu3) disco; urgency=medium

  * d/control,rules,python*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 16:48:52 -0500

manila-ui (2.16.0-0ubuntu2) cosmic; urgency=medium

  * d/control: Drop python(3)-manila-ui conflicts on each other.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:22:28 -0400

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-django (>= 1.11),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:14.0.0),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-manilaclient (>= 1.16.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.utils (>= 3.33.0),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila-ui
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila-ui
Homepage: https://github.com/hp-storage/manila-ui
Testsuite: autopkgtest-pkg-python

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0),
 python3-babel (>= 2.3.4),
 python3-django (>= 1.11),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:14.0.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-manilaclient (>= 1.16.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3 Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 3 Manila OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	#bash run_tests.sh -N --no-pep8
	set -e ; for i in $(PYTHON3S) ; do \
		PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/python3-manila-ui NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=manila_ui.tests.settings \
			python$$i -m coverage run \
			$(CURDIR)/manage.py test manila_ui -v 2 --settings=manila_ui.tests.settings ; \
	done
endif

	mkdir -p $(CURDIR)/debian/python3-manila-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/manila_ui/local/enabled/_9* $(CURDIR)/debian/python3-manila-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/manila_ui/local/enabled/_8* $(CURDIR)/debian/python3-manila-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled

	dh_install
	dh_missing --fail-missing

## manila-ui 2.18.0

=== debian/changelog ===
manila-ui (2.18.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed build-depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 11:37:18 +0200

manila-ui (2.17.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Mar 2019 22:09:10 +0200

manila-ui (2.16.0-2) unstable; urgency=medium

  * Redesign manila-ui:
      - Enabled files now in /etc/openstack-dashboard/
      - Removed post scripts which is now achieved by a trigger
  * d/copyright: Update copyright
  * d/control: Add me to uploaders field
  * d/patches: Fix manifest patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Jan 2019 23:17:24 +0100

manila-ui (2.16.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed make_manila-ui_python3_compatible.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Aug 2018 23:02:40 +0200

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:15.0.0~rc1),
 python3-babel,
 python3-coverage,
 python3-ddt,
 python3-django,
 python3-django-compressor,
 python3-django-horizon,
 python3-django-nose,
 python3-hacking,
 python3-iso8601,
 python3-keystoneclient,
 python3-manilaclient,
 python3-mock,
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme,
 python3-oslo.utils,
 python3-six,
 python3-selenium,
 python3-testscenarios,
 python3-testtools,
 python3-xvfbwrapper,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/manila-ui
Vcs-Git: https://salsa.debian.org/openstack-team/services/manila-ui.git
Homepage: https://github.com/hp-storage/manila-ui

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:15.0.0~rc1),
 python3-babel,
 python3-django,
 python3-django-compressor,
 python3-iso8601,
 python3-keystoneclient,
 python3-manilaclient,
 python3-oslo.utils,
 python3-pbr,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-manila-ui,
Description: OpenStack shared file system as a service - Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d

	# Move config enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/manila_ui/local/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Move local_settings
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/manila_ui/local/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	# Remove config files and dirs from /usr/lib/python3/dist-packages/manila_ui/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/manila_ui/local/enabled
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/manila_ui/local/local_settings.d

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; for i in $(PYTHON3S) ; do \
		PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=manila_ui.tests.settings \
			python$$i -m coverage run \
			$(CURDIR)/manage.py test manila_ui -v 2 --settings=manila_ui.tests.settings --exclude-tag integration; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif
